geos::geom::util::PolygonalExtracter Class Reference

Extracts the polygonal (Polygon and MultiPolygon) elements from a Geometry. More...

`#include <PolygonalExtracter.h>`

## Static Public Member Functions

static void | getPolygonals (const Geometry &geom, std::vector< const Geometry * > &polys)

## Detailed Description

Extracts the polygonal (Polygon and MultiPolygon) elements from a Geometry.

## Member Function Documentation

## getPolygonals()

void geos::geom::util::PolygonalExtracter::getPolygonals | ( | const Geometry & | geom,
|  | std::vector< const Geometry * > & | polys )

static

Pushes the polygonal (Polygon and MultiPolygon) elements from a geometry into the provided vector.

Parameters

  geom | the geometry to extract from
  polys | the vector to add the polygonal elements to

References getPolygonals().

Referenced by getPolygonals().

The documentation for this class was generated from the following file:

- PolygonalExtracter.h